> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api/compute/aig/ai-gateway/describeaigateways.md).

# DescribeAiGateways

## 1. API Description

This API (DescribeAiGateways) is used to describe AI gateways

{% hint style="info" %}
**Notes**

* For the authentication method of this API, refer to [Authentication](/api/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                             | Description                                              |
| --------------- | -------- | ---------------------------------------------------------------- | -------------------------------------------------------- |
| gatewayUuids    | No       | Array of String                                                  | List of AI gateway UUIDs.                                |
| gatewayName     | No       | String                                                           | AI gateway name.                                         |
| status          | No       | [GatewayStatus](/api/compute/aig/datastructure.md#gatewaystatus) | AI gateway status.                                       |
| resourceGroupId | No       | String                                                           | Resource group ID.                                       |
| pageSize        | No       | Integer                                                          | Number of items per page.                                |
| pageNum         | No       | Integer                                                          | <p>Page number.</p><p>Default value: 1</p>               |
| tagKeys         | No       | Array of String                                                  | <p>Search by tag keys.</p><p>Maximum of 20 tag keys.</p> |
| tags            | No       | Array of [Tag](/api/compute/aig/datastructure.md#tag)            | <p>Search by tags.</p><p>Maximum of 20 tags.</p>         |

## 3. Output Parameters

| Parameter Name | Type                                                                      | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                   | Total number of matching records.                                                                                     |
| dataSet        | Array of [AiGatewayInfo](/api/compute/aig/datastructure.md#aigatewayinfo) | Data of AI gateway list.                                                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the AI gateway list with pagination.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiGateways
<Common Request Params>

Request:
{
    "pageSize": 200,
    "pageNum": 1
}
Response:
{
    "requestId": "TCD1C4FC9-CF4B-4E48-AA9B-63FB4D7DC191",
    "response": {
        "requestId": "TCD1C4FC9-CF4B-4E48-AA9B-63FB4D7DC191",
        "totalCount": 2,
        "dataSet": [
            {
                "createdAt": "2025-12-04T08:39:13Z",
                "accessLimit": 0,
                "gatewayUuid": "1568676002379339603",
                "expireTime": "2025-12-11T07:14:55Z",
                "gatewayName": "AI-Gateway-01",
                "expireType": "CUSTOM",
                "resourceGroupId": "47e7f7e0-d7e9-4b28-b4b2-20da9439a294",
                "modelAccess": "UNLIMITED",
                "enabled": true,
                "updatedAt": "2025-12-24T07:30:35Z"
            },
            {
                "createdAt": "2025-12-24T05:45:53Z",
                "accessLimit": 0,
                "gatewayUuid": "1583084275941508435",
                "expireTime": null,
                "gatewayName": "AI-Gateway-02",
                "expireType": "LONG_LIVED",
                "resourceGroupId": "47e7f7e0-d7e9-4b28-b4b2-20da9439a294",
                "modelAccess": "UNLIMITED",
                "enabled": true,
                "updatedAt": "2025-12-24T07:30:43Z"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api/compute/aig/ai-gateway/describeaigateways.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
